import request from '@/utils/request'

// 分页查询投诉建议列表
export function getComplaintList(params) {
  return request({
    url: '/system/ComplaintSuggestion/selectComplaintInfoByPagination',
    method: 'get',
    params
  })
}

// 根据id查询详情
export function getComplaintDetailById(id) {
  return request({
    url: '/system/ComplaintSuggestion/detail/' + id,
    method: 'get'
  })
}

// 处理投诉建议
export function handleComplaint(data) {
  return request({
    url: '/system/ComplaintSuggestion/update',
    method: 'put',
    data,
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
